(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

var ZippyCourses_Directory = new Vue({
    data: {
    },
    components: {
        pricing: require('./pricing')
    },
    created: function() {
        this.initializePricing();
    },
    methods: {
        initializePricing: function() {
            
            var that = this;

            $('.zippy-pricing-options').each(function(index, element) {
                if ($(element).find('.zippy-course-pricing-data').length > 0) {

                    var data = JSON.parse($(element).find('.zippy-course-pricing-data').first().text());

                    var options = data.map(function(product) {
                        return {
                            text: product.title,
                            value: product.id
                        }
                    });

                    var prices = data.map(function(product) {
                        return {
                            id: product.id,
                            price: product.price_string,
                        }
                    });

                    that.$addChild(
                        {
                            el: element, 
                            data: {
                                options: options,
                                prices: prices
                            }
                        },
                        that.$options.components.pricing
                    );
                    
                }
            
            });
        }
    }
});

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./pricing":2}],2:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

module.exports = {
    name: 'pricing',
    template: $('#course-pricing-tmpl').text(),
    data: function() {
        return {
            option: 0,
            options: [],
            prices: []
        }
    },
    computed: {
        price: function() {
            var record = _.findWhere(this.prices, {id: this.option});
            var price = '$0.00';
            
            if (record) {
                var price = record.price;
            }

            return price;
        }
    },
    compiled: function() {
        this.setup();
    },
    methods: {
        setup: function() {
            if (this.options.length > 0) {
                this.option = this.options[0].value;
            }
        }
    }
}

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],3:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

module.exports = {
    name: 'entry-complete-button',
    template: $('#entry-complete-button-tmpl').text(),
    data: function() {
        return {
            id: 0,
            completed: false,
        }
    },
    methods: {
        completeEntry: function(e) {
            e.preventDefault();
            this.completed = !this.completed;

            // save item
            this.$resource(window.Zippy.ajaxurl).save(
                { action: 'complete_entry' }, 
                {
                    id: this.id,
                    user_id: window.Zippy.user_id
                },
                function (data, status, request) {}
            ).error(
                function (data, status, request) {}
            );
        },
        uncompleteEntry: function(e) {
            e.preventDefault();
            this.completed = !this.completed;

            // save item
            this.$resource(window.Zippy.ajaxurl).save(
                { action: 'uncomplete_entry' }, 
                {
                    id: this.id,
                    user_id: window.Zippy.user_id
                }, 
                function (data, status, request) {}
            ).error(
                function (data, status, request) {}
            );
        },


    }
}

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],4:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

var ZippyCourses_Lesson = new Vue({
    data: {
        lessons: []
    },
    components: {
        lessonComplete: require('./complete')
    },
    created: function() {
        this.initializeLessons();
    },
    methods: {
        initializeLessons: function() {
            
            var that = this;

            $('.zippy-complete-entry-region').each(function(index, element) {
                var id     = $(element).data('id');
                var status = $(element).data('status') == '1';

                var record = _.findWhere(that.lessons, {id: id});

                if (record === undefined ) {
                    that.lessons.push({id: id, completed: status});
                } else {
                    record = {id: id, completed: status};
                }
            });

            $('.zippy-complete-entry-region').each(function(index, element) {
                var id     = $(element).data('id');
                var status = $(element).data('status') == '1';

                var record = _.findWhere(that.lessons, {id: id});

                that.$addChild({el: element, data: record}, that.$options.components.lessonComplete).$mount();
            });
        }
    }
});

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./complete":3}],5:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);

module.exports = {
    name: 'question',
    props: ['question', 'selection'],
    data: function() {
        return {
            ID: 0,
            content: ''
        }
    }
}

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],6:[function(require,module,exports){
(function (global){
require('vue-resource');
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);

if ($('#zippy-quiz').length > 0) {
  var ZippyCoursesQuiz = new Vue({
    el: '#zippy-quiz',
    data: {
      id: 0,
      questions: [],
      currentView: '',
      submitted: false,
      pass: 0
    },
    events: {
      setView: 'setView',
      changeAnswer: function (question_id) {
        this.currentView = 'questions';
        this.$broadcast('viewQuestion', question_id);
      },
      resetQuiz: 'reset',
      submitPassingResults: 'passQuiz',
      submitFailingResults: 'failQuiz',
    },
    computed: {
      answers: function () {
        return this.questions.map(function (q) {
          return q.answer;
        });
      },
      numQuestions: function () {
        return this.questions.length;
      },
      numAnswered: function() {
        return this.questions.filter(function (q) {
          return q.answer !== null;
        }).length;
      },
      submittedAnswers: function() {
        return this.questions.map(function (q) {
          return q.answer;
        });
      },
      numCorrect: function () {
        return this.questions.filter(function (q) {
          return q.correct === q.answer;
        }).length;
      },
      score: function() {
        return Math.floor((this.numCorrect / this.numQuestions) * 100);
      },
      results: function () {
        var submitted = this.submitted;

        return {
          quiz: this.id,
          score: this.score,
          questions: this.questions.map(function (q) {
            return {
              id: q.id,
              answer: {
                given: q.answers[q.answer].ID,
                correct: q.answers[q.correct].ID
              },
              correct: q.answers[q.correct].ID === q.answers[q.answer].ID
            };
          }),
          submitted: Math.floor(Date.now() / 1000)
        };
      },
      condensedResults: function () {
        var submitted = this.submitted;
        var questions = {};

        this.questions.forEach(function(q) {
          questions[q.id] = new Array();
          questions[q.id].push(q.answer);
          questions[q.id].push(q.correct);
        });

        return {
          quiz: this.id,
          score: this.score,
          questions: questions,
          submitted: Math.floor(Date.now() / 1000)
        };
      },
      passing: function() {
        return this.score >= this.pass; 
      }
    },
    components: {
      'quiz-questions': require('./quiz-questions'),
      'quiz-review': require('./quiz-review'),
      'quiz-results': require('./quiz-results'),
    },
    created: function () {
      var that = this;

      this.id   = parseInt($('#zippy-quiz').data('id'));
      this.pass = parseInt($('#zippy-quiz').data('pass'));

      this.$resource(window.Zippy.ajaxurl).get(
        { action: 'get_quiz_data', id: that.id },
        this.buildQuiz
      );
    },
    compiled: function () {
      $(this.$el).show();  
    },
    methods: {
      reset: function() {
        this.questions.forEach(function(q) {
          q.answer = null;

          q.answers.forEach(function(a) {
            a.selection = null;
          });
        });

        this.$broadcast('setCurrentQuestion', 0);
        this.setView('questions');
      },
      buildQuiz: function (data, status) {
        var that = this;

        if (status === 200) {
          data.forEach(function (question) {
            question.answer = null;
            question.id = parseInt(question.ID);
            delete question.ID;

            that.questions.push(question);
          });

          that.currentView = 'questions';
        }
      },
      setView: function (view) {
        this.currentView = view;
      },
      passQuiz: function () {
        var that = this;
        this.$resource(window.Zippy.ajaxurl).get(
        { action: 'submit_quiz', id: this.id, user_id: window.Zippy.user_id, results: this.condensedResults},
          function (data, status, request) {
            window.location = '?results';
          }
        );
      },
      failQuiz: function () {
        var that = this;
        this.$resource(window.Zippy.ajaxurl).get(
        { action: 'submit_quiz', id: this.id, user_id: window.Zippy.user_id, results: this.condensedResults},
          function (data, status, request) {
            that.buildQuiz();
          }
        );
      }
    }
  });
}

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./quiz-questions":8,"./quiz-results":9,"./quiz-review":10,"vue-resource":13}],7:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);

module.exports = {
    name: 'question',
    props: ['current'],
    data: function() {
      return {
        id: 0,
        title: '',
        answers: [],
        correct: 0,
        answer: null,
        isCorrect: false
      };
    },
    events: {
      'change_answer': function (answer_id) {
        this.answer = answer_id;
        this.isCorrect = this.answer === this.correct;
      }
    }
};

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],8:[function(require,module,exports){
(function (global){
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

module.exports = {
  name: 'quiz-questions',
  props: ['questions'],
  data: function () {
    return {
      current: 0
    };
  },
  events: {
    viewQuestion: 'viewQuestion',
    setCurrentQuestion: function(current) {
      this.current = current;
    }
  },
  components: {
    'question': require('../question'),
    'answer': require('../answer')

  },
  computed: {
    currentQuestion: function() {
      return this.questions[this.current];
    }
  },
  methods: {
    nextQuestion: function(e) {
      e.preventDefault();
      if (this.current < (this.questions.length - 1) ) {
        this.current++;
      }

      this.currentQuestion = this.questions[this.current];
    },
    previousQuestion: function(e) {
      e.preventDefault();
      if (this.current > 0) {
        this.current--;        
      }

      this.currentQuestion = this.questions[this.current];
    },
    viewQuestion: function(id) {
      var q = _.findWhere(this.questions, {id: id});
      var index = this.questions.indexOf(q);

      if (q) {
        this.current = index;
        this.currentQuestion = this.questions[this.current];
      }
    }
  }
};

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"../answer":5,"../question":7}],9:[function(require,module,exports){
module.exports = {
  name: 'quiz-results',
  props: ['questions', 'passing', 'num-questions', 'num-correct', 'score'],
};

},{}],10:[function(require,module,exports){
module.exports = {
  name: 'quiz-review',
  props: ['questions', 'passing', 'num-correct', 'num-questions', 'score'],
  data: function () {

  },
  components: {
    'review-question': require('../review-question')
  },
  methods: {
    submitQuiz: function()
    {
        if (this.passing) {
            this.$dispatch('submitPassingResults');
        } else {
            this.$dispatch('submitFailingResults');            
            this.$dispatch('setView', 'results');
        }
    }
  }
};

},{"../review-question":11}],11:[function(require,module,exports){
(function (global){
var _ = (typeof window !== "undefined" ? window._ : typeof global !== "undefined" ? global._ : null);

module.exports = {
  name: 'review-question',
  props: ['question'],
  data: function () {
    return {
      current: 0,
    }  
  },
  computed: {
    getSelectedAnswer: function() {
      var answer = _.findWhere(this.question.answers, {ID: this.question.answers[0].selection});
      return answer !== undefined ? answer.content : '';
    }
  }
};

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],12:[function(require,module,exports){
module.exports = function (Vue) {

    var _ = require('./util')(Vue);
    var Promise = require('./promise');
    var jsonType = { 'Content-Type': 'application/json;charset=utf-8' };

    /**
     * Http provides a service for sending XMLHttpRequests.
     */

    function Http (url, options) {

        var self = this, headers, promise;

        options = options || {};

        if (_.isPlainObject(url)) {
            options = url;
            url = '';
        }

        headers = _.extend({},
            Http.headers.common,
            Http.headers[options.method.toLowerCase()]
        );

        options = _.extend(true, {url: url, headers: headers},
            Http.options, _.options('http', this, options)
        );

        promise = (options.method.toLowerCase() == 'jsonp' ? jsonp : xhr).call(this, this.$url || Vue.url, options);

        _.extend(promise, {

            success: function (onSuccess) {

                this.then(function (request) {
                    onSuccess.apply(self, parseReq(request));
                }, function () {});

                return this;
            },

            error: function (onError) {

                this.catch(function (request) {
                    onError.apply(self, parseReq(request));
                });

                return this;
            },

            always: function (onAlways) {

                var cb = function (request) {
                    onAlways.apply(self, parseReq(request));
                };

                this.then(cb, cb);

                return this;
            }

        });

        if (options.success) {
            promise.success(options.success);
        }

        if (options.error) {
            promise.error(options.error);
        }

        return promise;
    }

    function xhr(url, options) {

        var request = new XMLHttpRequest();

        if (_.isFunction(options.beforeSend)) {
            options.beforeSend(request, options);
        }

        if (options.emulateHTTP && /^(PUT|PATCH|DELETE)$/i.test(options.method)) {
            options.headers['X-HTTP-Method-Override'] = options.method;
            options.method = 'POST';
        }

        if (options.emulateJSON && _.isPlainObject(options.data)) {
            options.headers['Content-Type'] = 'application/x-www-form-urlencoded';
            options.data = url.params(options.data);
        }

        if (_.isObject(options.data) && /FormData/i.test(options.data.toString())) {
            delete options.headers['Content-Type'];
        }

        if (_.isPlainObject(options.data)) {
            options.data = JSON.stringify(options.data);
        }

        var promise = new Promise(function (resolve, reject) {

            request.open(options.method, url(options), true);

            _.each(options.headers, function (value, header) {
                request.setRequestHeader(header, value);
            });

            request.onreadystatechange = function () {

                if (this.readyState === 4) {

                    if (this.status >= 200 && this.status < 300) {
                        resolve(this);
                    } else {
                        reject(this);
                    }
                }
            };

            request.send(options.data);
        });

        _.extend(promise, {

            abort: function () {
                request.abort();
            }

        });

        return promise;
    }

    function jsonp(url, options) {

        var callback = '_jsonp' + Math.random().toString(36).substr(2), script, result;

        _.extend(options.params, options.data);
        options.params[options.jsonp] = callback;

        if (_.isFunction(options.beforeSend)) {
            options.beforeSend({}, options);
        }

        var promise = new Promise(function (resolve, reject) {

            script = document.createElement('script');
            script.src = url(options.url, options.params);
            script.type = 'text/javascript';
            script.async = true;

            window[callback] = function (data) {
                result = data;
            };

            var handler = function (event) {

                delete window[callback];
                document.body.removeChild(script);

                if (event.type === 'load' && !result) {
                    event.type = 'error';
                }

                var text = result ? result : event.type, status = event.type === 'error' ? 404 : 200;

                (status === 200 ? resolve : reject)({ responseText: text, status: status });
            };

            script.onload = handler;
            script.onerror = handler;

            document.body.appendChild(script);
        });

        return promise;
    }

    function parseReq(request) {

        var result;

        try {
            result = JSON.parse(request.responseText);
        } catch (e) {
            result = request.responseText;
        }

        return [result, request.status, request];
    }

    Http.options = {
        method: 'GET',
        params: {},
        data: '',
        jsonp: 'callback',
        beforeSend: null,
        emulateHTTP: false,
        emulateJSON: false,
    };

    Http.headers = {
        put: jsonType,
        post: jsonType,
        patch: jsonType,
        delete: jsonType,
        common: {
            'Accept': 'application/json, text/plain, */*',
            'X-Requested-With': 'XMLHttpRequest'
        }
    };

    ['get', 'put', 'post', 'patch', 'delete', 'jsonp'].forEach(function (method) {

        Http[method] = function (url, data, success, options) {

            if (_.isFunction(data)) {
                options = success;
                success = data;
                data = undefined;
            }

            return this(url, _.extend({method: method, data: data, success: success}, options));
        };
    });

    Object.defineProperty(Vue.prototype, '$http', {

        get: function () {
            return _.extend(Http.bind(this), Http);
        }

    });

    return Http;
};

},{"./promise":14,"./util":17}],13:[function(require,module,exports){
/**
 * Install plugin.
 */

function install (Vue) {
    Vue.url = require('./url')(Vue);
    Vue.http = require('./http')(Vue);
    Vue.resource = require('./resource')(Vue);
}

if (window.Vue) {
    Vue.use(install);
}

module.exports = install;

},{"./http":12,"./resource":15,"./url":16}],14:[function(require,module,exports){
/**
 * Promise polyfill (https://gist.github.com/briancavalier/814313)
 */

function Promise (executor) {
    executor(this.resolve.bind(this), this.reject.bind(this));
    this._thens = [];
}

Promise.prototype = {

    then: function (onResolve, onReject, onProgress) {
        this._thens.push({resolve: onResolve, reject: onReject, progress: onProgress});
    },

    'catch': function (onReject) {
        this._thens.push({reject: onReject});
    },

    resolve: function (value) {
        this._complete('resolve', value);
    },

    reject: function (reason) {
        this._complete('reject', reason);
    },

    progress: function (status) {

        var i = 0, aThen;

        while (aThen = this._thens[i++]) {
            aThen.progress && aThen.progress(status);
        }
    },

    _complete: function (which, arg) {

        this.then = which === 'resolve' ?
            function (resolve, reject) { resolve && resolve(arg); } :
            function (resolve, reject) { reject && reject(arg); };

        this.resolve = this.reject = this.progress =
            function () { throw new Error('Promise already completed.'); };

        var aThen, i = 0;

        while (aThen = this._thens[i++]) {
            aThen[which] && aThen[which](arg);
        }

        delete this._thens;
    }
};

module.exports = window.Promise ? window.Promise : Promise;

},{}],15:[function(require,module,exports){
module.exports = function (Vue) {

    var _ = require('./util')(Vue);

    /**
     * Resource provides interaction support with RESTful services.
     */

    function Resource (url, params, actions) {

        var self = this, resource = {};

        actions = _.extend({},
            Resource.actions,
            actions
        );

        _.each(actions, function (action, name) {

            action = _.extend(true, {url: url, params: params || {}}, action);

            resource[name] = function () {
                return (self.$http || Vue.http)(opts(action, arguments));
            };
        });

        return resource;
    }

    function opts (action, args) {

        var options = _.extend({}, action), params = {}, data, success, error;

        switch (args.length) {

            case 4:

                error = args[3];
                success = args[2];

            case 3:
            case 2:

                if (_.isFunction (args[1])) {

                    if (_.isFunction (args[0])) {

                        success = args[0];
                        error = args[1];

                        break;
                    }

                    success = args[1];
                    error = args[2];

                } else {

                    params = args[0];
                    data = args[1];
                    success = args[2];

                    break;
                }

            case 1:

                if (_.isFunction (args[0])) {
                    success = args[0];
                } else if (/^(POST|PUT|PATCH)$/i.test(options.method)) {
                    data = args[0];
                } else {
                    params = args[0];
                }

                break;

            case 0:

                break;

            default:

                throw 'Expected up to 4 arguments [params, data, success, error], got ' + args.length + ' arguments';
        }

        options.url = action.url;
        options.data = data;
        options.params = _.extend({}, action.params, params);

        if (success) {
            options.success = success;
        }

        if (error) {
            options.error = error;
        }

        return options;
    }

    Resource.actions = {

        get: {method: 'GET'},
        save: {method: 'POST'},
        query: {method: 'GET'},
        remove: {method: 'DELETE'},
        delete: {method: 'DELETE'}

    };

    Object.defineProperty(Vue.prototype, '$resource', {

        get: function () {
            return Resource.bind(this);
        }

    });

    return Resource;
};

},{"./util":17}],16:[function(require,module,exports){
module.exports = function (Vue) {

    var _ = require('./util')(Vue);

    /**
     * Url provides URL templating.
     *
     * @param {String} url
     * @param {Object} params
     */

    function Url (url, params) {

        var urlParams = {}, queryParams = {}, options = url, query;

        if (!_.isPlainObject(options)) {
            options = {url: url, params: params};
        }

        options = _.extend({}, Url.options, _.options('url', this, options));

        url = options.url.replace(/:([a-z]\w*)/gi, function (match, name) {

            if (options.params[name]) {
                urlParams[name] = true;
                return encodeUriSegment(options.params[name]);
            }

            return '';
        });

        if (!url.match(/^(https?:)?\//) && options.root) {
            url = options.root + '/' + url;
        }

        url = url.replace(/([^:])[\/]{2,}/g, '$1/');
        url = url.replace(/(\w+)\/+$/, '$1');

        _.each(options.params, function (value, key) {
            if (!urlParams[key]) {
                queryParams[key] = value;
            }
        });

        query = Url.params(queryParams);

        if (query) {
            url += (url.indexOf('?') == -1 ? '?' : '&') + query;
        }

        return url;
    }

    /**
     * Url options.
     */

    Url.options = {
        url: '',
        root: '',
        params: {}
    };

    /**
     * Encodes a Url parameter string.
     *
     * @param {Object} obj
     */

    Url.params = function (obj) {

        var params = [];

        params.add = function (key, value) {

            if (_.isFunction (value)) {
                value = value();
            }

            if (value === null) {
                value = '';
            }

            this.push(encodeUriSegment(key) + '=' + encodeUriSegment(value));
        };

        serialize(params, obj);

        return params.join('&');
    };

    /**
     * Parse a URL and return its components.
     *
     * @param {String} url
     */

    Url.parse = function (url) {

        var pattern = new RegExp("^(?:([^:/?#]+):)?(?://([^/?#]*))?([^?#]*)(?:\\?([^#]*))?(?:#(.*))?"),
            matches = url.match(pattern);

        return {
            url: url,
            scheme: matches[1] || '',
            host: matches[2] || '',
            path: matches[3] || '',
            query: matches[4] || '',
            fragment: matches[5] || ''
        };
    };

    function serialize (params, obj, scope) {

        var array = _.isArray(obj), plain = _.isPlainObject(obj), hash;

        _.each(obj, function (value, key) {

            hash = _.isObject(value) || _.isArray(value);

            if (scope) {
                key = scope + '[' + (plain || hash ? key : '') + ']';
            }

            if (!scope && array) {
                params.add(value.name, value.value);
            } else if (hash) {
                serialize(params, value, key);
            } else {
                params.add(key, value);
            }
        });
    }

    function encodeUriSegment (value) {

        return encodeUriQuery(value, true).
            replace(/%26/gi, '&').
            replace(/%3D/gi, '=').
            replace(/%2B/gi, '+');
    }

    function encodeUriQuery (value, spaces) {

        return encodeURIComponent(value).
            replace(/%40/gi, '@').
            replace(/%3A/gi, ':').
            replace(/%24/g, '$').
            replace(/%2C/gi, ',').
            replace(/%20/g, (spaces ? '%20' : '+'));
    }

    Object.defineProperty(Vue.prototype, '$url', {

        get: function () {
            return _.extend(Url.bind(this), Url);
        }

    });

    return Url;
};

},{"./util":17}],17:[function(require,module,exports){
/**
 * Utility functions.
 */

module.exports = function (Vue) {

    var _ = Vue.util.extend({}, Vue.util);

    _.options = function (key, obj, options) {

        var opts = obj.$options || {};

        return _.extend({},
            opts[key],
            options
        );
    };

    _.each = function (obj, iterator) {

        var i, key;

        if (typeof obj.length == 'number') {
            for (i = 0; i < obj.length; i++) {
                iterator.call(obj[i], obj[i], i);
            }
        } else if (_.isObject(obj)) {
            for (key in obj) {
                if (obj.hasOwnProperty(key)) {
                    iterator.call(obj[key], obj[key], key);
                }
            }
        }

        return obj;
    };

    _.extend = function (target) {

        var array = [], args = array.slice.call(arguments, 1), deep;

        if (typeof target == 'boolean') {
            deep = target;
            target = args.shift();
        }

        args.forEach(function (arg) {
            extend(target, arg, deep);
        });

        return target;
    };

    function extend (target, source, deep) {
        for (var key in source) {
            if (deep && (_.isPlainObject(source[key]) || _.isArray(source[key]))) {
                if (_.isPlainObject(source[key]) && !_.isPlainObject(target[key])) {
                    target[key] = {};
                }
                if (_.isArray(source[key]) && !_.isArray(target[key])) {
                    target[key] = [];
                }
                extend(target[key], source[key], deep);
            } else if (source[key] !== undefined) {
                target[key] = source[key];
            }
        }
    }

    _.isFunction = function (obj) {
        return obj && typeof obj === 'function';
    };

    return _;
};

},{}],18:[function(require,module,exports){
(function (global){
var $ = (typeof window !== "undefined" ? window.jQuery : typeof global !== "undefined" ? global.jQuery : null);

require('vue-resource');
require('./components/quiz');
require('./components/lesson');
require('./components/directory');

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"./components/directory":1,"./components/lesson":4,"./components/quiz":6,"vue-resource":13}]},{},[18]);
