<?php
/**
 *
 * Template Name: Login
 * 
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 */

get_header( 'login' ); 
?>

<main class="site-content" role="main">
	<div class="container">
		<div class="row">
			<div class="col-sm-4 col-sm-offset-4">
				<h2 class="site-title">
					<?php echo get_zippy_courses_theme_logo( 'login' ); ?>
				</h2>
				<div class="row login-box">
					<div class="col-sm-12">
						<?php do_action( 'zippy_courses_theme_notifications' ); ?>
						<?php echo do_shortcode( '[zippy_login_form]' ); ?>	
					</div>
				</div>
				<?php do_action( 'zippy_theme_after_login_form' ); ?>
			</div>
		</div>
	</div>
</main>

<?php

get_footer( 'login' );
